## gstvideoaffinetransformationmeta gstvideoaffinetransformationmeta |

## Functions

GstVideoAffineTransformationMeta * | gst_buffer_add_video_affine_transformation_meta ()
#define | gst_buffer_get_video_affine_transformation_meta()
void | gst_video_affine_transformation_meta_apply_matrix ()

## Types and Values

struct | GstVideoAffineTransformationMeta

## Includes

    #include <gst/video/gstvideoaffinetransformationmeta.h>

## Description

## Functions

### gst_buffer_add_video_affine_transformation_meta ()

    GstVideoAffineTransformationMeta *
    gst_buffer_add_video_affine_transformation_meta
                                   (GstBuffer *buffer);

Attaches GstVideoAffineTransformationMeta metadata to `buffer` with the given parameters.

#### Parameters

buffer | a GstBuffer |

#### Returns

the GstVideoAffineTransformationMeta on `buffer` .

[transfer none]

Since: 1.8

### gst_buffer_get_video_affine_transformation_meta()

    #define             gst_buffer_get_video_affine_transformation_meta(b)

### gst_video_affine_transformation_meta_apply_matrix ()

    void
    gst_video_affine_transformation_meta_apply_matrix
                                   (GstVideoAffineTransformationMeta *meta,
                                    const gfloat matrix[16]);

Apply a transformation using the given 4x4 transformation matrix

#### Parameters

meta | a GstVideoAffineTransformationMeta |
matrix | a 4x4 transformation matrix to be applied |

Since: 1.8

## Types and Values

### struct GstVideoAffineTransformationMeta

    struct GstVideoAffineTransformationMeta {
      GstMeta meta;

      gfloat matrix[16];
    };